aboutsummaryrefslogtreecommitdiffstats
path: root/contrib/wavemon.SlackBuild
diff options
context:
space:
mode:
authorJonathan McCrohan <jmccrohan@gmail.com>2012-02-05 19:03:25 +0000
committerJonathan McCrohan <jmccrohan@gmail.com>2012-02-05 19:03:25 +0000
commit03dfbc2efa31d3c4fd7e576111883ea488e3e179 (patch)
tree6f227b085f675e294edd98d66ccbf190e898f544 /contrib/wavemon.SlackBuild
downloadwavemon-03dfbc2efa31d3c4fd7e576111883ea488e3e179.tar.gz
Imported Upstream version 0.6.10upstream/0.6.10
Diffstat (limited to 'contrib/wavemon.SlackBuild')
-rwxr-xr-xcontrib/wavemon.SlackBuild87
1 files changed, 87 insertions, 0 deletions
diff --git a/contrib/wavemon.SlackBuild b/contrib/wavemon.SlackBuild
new file mode 100755
index 0000000..f955d49
--- /dev/null
+++ b/contrib/wavemon.SlackBuild
@@ -0,0 +1,87 @@
+#!/bin/sh
+#
+# Slackware build script for wavemon
+#
+# Contributed by Christoph J. Thompson <cjsthompson@gmail.com>
+#
+CWD=`pwd`
+NAME=wavemon
+VERSION=0.5
+ARCH=i586
+BUILD=1
+PKGNAME=$NAME
+PKGVER=$VERSION
+BASEDIR=$PKGNAME-$PKGVER
+ARCHIVE=$PKGNAME-current.tar.bz2
+REPOSITORY=http://eden-feed.erg.abdn.ac.uk/wavemon
+FLAGS="-O2 -march=pentium -mtune=pentium -fno-strength-reduce \
+ -fomit-frame-pointer -ffast-math"
+PKG=/tmp/package-$NAME
+
+rm -rf $PKG
+mkdir -p $PKG
+
+# Obtain sources
+if [ ! -e $ARCHIVE ]; then
+ if `wget "$REPOSITORY/$ARCHIVE"`; then
+ true
+ else
+ exit 1
+ fi
+fi
+
+# Compile
+cd /tmp
+tar jxvf $CWD/$ARCHIVE
+cd $BASEDIR
+CFLAGS="${FLAGS}" CXXFLAGS="${FLAGS}" ./configure \
+ --prefix=/usr \
+ --mandir=/usr/man \
+ --sysconfdir=/etc \
+ --localstatedir=/var
+make CFLAGS="${FLAGS}"
+
+# Install
+make install DESTDIR=$PKG
+mkdir -p $PKG/install $PKG/usr/doc/$NAME-$VERSION
+cat > $PKG/install/slack-desc <<EOF
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+wavemon: wavemon (wireless monitoring utility)
+wavemon:
+wavemon: Wavemon is a text-mode monitoring application for wireless network
+wavemon: devices originally developed by Jan Morgenstern.
+wavemon:
+wavemon: Homepage: http://eden-feed.erg.abdn.ac.uk/wavemon
+wavemon:
+wavemon:
+wavemon:
+wavemon:
+wavemon:
+EOF
+
+cat > $PKG/install/slack-required <<EOF
+ncurses >= 5.6-i486-3
+EOF
+
+install -m644 -g0 -o0 AUTHORS README \
+ $PKG/usr/doc/$NAME-$VERSION
+
+chmod 444 $PKG/usr/man/man?/*.?
+gzip -9nf $PKG/usr/man/man?/*.?
+
+strip \
+ $PKG/usr/bin/* || :
+
+chown -R root.root $PKG
+
+# Make package
+cd $PKG
+cat install/slack-desc | grep "$NAME:" > /tmp/$NAME-$VERSION-$ARCH-$BUILD.txt
+makepkg -l y -c n /tmp/$NAME-$VERSION-$ARCH-$BUILD.tgz